## gr-fcdproplus 0.0.1.1.2c80be

=== CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-fcdproplus CXX C)
# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 0)
set(VERSION_INFO_API_COMPAT    0)
set(VERSION_INFO_MINOR_VERSION 1)
set(VERSION_INFO_MAINT_VERSION git)


#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find boost
########################################################################
if(UNIX AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND EXISTS "/usr/lib64")
set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)
find_package(Boost "1.35" COMPONENTS filesystem system)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile fcdproplus")
endif()

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include/fcdproplus)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# Find gnuradio build dependencies
########################################################################
set(GR_REQUIRED_MODULES RUNTIME BLOCKS AUDIO)

find_package(Gnuradio "3.7")
find_package(ALSA)
find_package(USB)

if(NOT GNURADIO_RUNTIME_FOUND)
    message(FATAL_ERROR "GnuRadio Core required to compile fcdproplus")
endif()
if(NOT LIBUSB_FOUND)
    message(FATAL_ERROR "libusb required to compile fcdproplus")
endif()

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
#    ${GNURADIO_BLOCKS_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${GNURADIO_BLOCKS_LIBRARY_DIRS}
)

# Set component parameters
#set(GR_FCDPROPLUS_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_FCDPROPLUS_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include)
set(GR_FCDPROPLUS_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/fcdproplus)
add_subdirectory(lib)
add_subdirectory(lib/hid)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)
add_subdirectory(apps)
add_subdirectory(docs)
########################################################################
# Create Pkg Config File
########################################################################
# fake gnuradio cpack behavior as long as we don't use it directly
set(CPACK_PACKAGE_NAME "gnuradio-fcdproplus")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "GNU Radio block for Funcube Dongle Pro+")
set(CPACK_PACKAGE_VERSION ${VERSION})

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-fcdproplus.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-fcdproplus.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-fcdproplus.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
    COMPONENT "fcdproplus_devel"
)


########################################################################
# Print Summary
########################################################################
MESSAGE(STATUS "GNURADIO LIBS IN: ${GNURADIO_BLOCKS_LIBRARY_DIRS}")
MESSAGE(STATUS "GNURADIO INCLUDES IN: ${GNURADIO_RUNTIME_INCLUDE_DIRS}")
MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    fcdproplus_fcdproplus.xml DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

include_directories(
        ${Boost_INCLUDE_DIR}
        ${LIBUSB_INCLUDE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/hid
)

link_directories(${Boost_LIBRARY_DIRS} )

list(APPEND fcdproplus_sources
    fcdproplus_impl.cc
    hid/hid.c
)

add_library(gnuradio-fcdproplus SHARED ${fcdproplus_sources})
target_link_libraries(gnuradio-fcdproplus ${Boost_LIBRARIES}  ${GNURADIO_RUNTIME_LIBRARIES} ${GNURADIO_BLOCKS_LIBRARIES} ${GNURADIO_AUDIO_LIBRARIES} ${LIBUSB_LIBRARIES})
set_target_properties(gnuradio-fcdproplus PROPERTIES DEFINE_SYMBOL "gnuradio_fcdproplus_EXPORTS")
MESSAGE(STATUS "Audio LIBS: ${GNURADIO_AUDIO_LIBRARIES}")
########################################################################
# Install built library files
########################################################################
install(TARGETS gnuradio-fcdproplus
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

########################################################################
# Build and register unit test
########################################################################
#include(GrTest)
#
#include_directories(${CPPUNIT_INCLUDE_DIRS})
#
#list(APPEND test_fcdproplus_sources
#    ${CMAKE_CURRENT_SOURCE_DIR}/test_fcdproplus.cc
#    ${CMAKE_CURRENT_SOURCE_DIR}/qa_fcdproplus.cc
#)
#
#add_executable(test-fcdproplus ${test_fcdproplus_sources})
#
#target_link_libraries(
#  test-fcdproplus
#  ${GNURADIO_CORE_LIBRARIES}
#  ${Boost_LIBRARIES}
#  ${CPPUNIT_LIBRARIES}
#  gnuradio-fcdproplus
#)
#
#GR_ADD_TEST(test_fcdproplus test-fcdproplus)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

set(GR_SWIG_LIBRARIES gnuradio-fcdproplus)
set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/fcdproplus_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)

GR_SWIG_MAKE(fcdproplus_swig fcdproplus_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS fcdproplus_swig DESTINATION ${GR_PYTHON_DIR}/fcdproplus)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    fcdproplus_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/fcdproplus_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/fcdproplus/swig
)

=== lib/hid/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# This file included, use CMake directory variables
########################################################################

set(hid_sources)

if(WIN32)
  list(APPEND hid_sources ${CMAKE_CURRENT_SOURCE_DIR}/hidwin.c)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  list(APPEND hid_sources ${CMAKE_CURRENT_SOURCE_DIR}/hidmac.c)
else()
  list(APPEND hid_sources ${CMAKE_CURRENT_SOURCE_DIR}/hid.c)
endif()

########################################################################
# Append gnuradio-fcd library sources
########################################################################
list(APPEND gr_fcd_sources ${hid_sources})

=== debian/changelog ===
gr-fcdproplus (0.0.1.1.2c80be-3) unstable; urgency=low

  * Recommend udev

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 Jan 2014 11:44:43 -0500

gr-fcdproplus (0.0.1.1.2c80be-2) unstable; urgency=low

  * Try kFreeBSD support

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 29 Dec 2013 09:43:37 -0500

gr-fcdproplus (0.0.1.1.2c80be-1) unstable; urgency=low

  * New upstream (Closes: #725842)
  * Upstream does not yet set a soversion, so Debian package will start from 0.

 -- A. Maitland Bottoms <bottoms@petros.rf.org>  Mon, 02 Dec 2013 12:33:26 -0500

=== debian/control ===
Source: gr-fcdproplus
Section: science
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, gnuradio (>=3.7), gnuradio-dev (>= 3.7), libboost-all-dev, libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any], liblog4cpp5-dev, doxygen, swig
Standards-Version: 3.9.4
Homepage: https://github.com/dl1ksv/gr-fcdproplus
Vcs-Git: https://github.com/dl1ksv/gr-fcdproplus

Package: gr-fcdproplus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgnuradio-fcdproplus0 (=${binary:Version})
Recommends: gnuradio, gr-osmosdr, udev
Description: Funcube Dongle Pro Plus controller for GNU Radio
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle Pro and Pro+ are supported
 by this package. Previous Funcube Dongle device support
 is already included in gnuradio itself.
 . 
 This package provides a python library as well as
 a gnuradio companion source object.

Package: libgnuradio-fcdproplus0
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gr-fcdproplus
Description: Funcube Dongle Pro Plus controller for GNU Radio
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle Pro and Pro+ are supported
 by this package. Previous Funcube Dongle device support
 is already included in gnuradio itself.
 . 
 This package provides a shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.([0-9]+),\1,p')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_BUILD_TYPE="Release"

override_dh_install:
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/fcdproplus/*.pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/fcdproplus/*.pyo
	dh_install

get-orig-source:
	git clone https://github.com/dl1ksv/gr-fcdproplus
	cd gr-fcdproplus && git archive --format=tar --prefix=gr-fcdproplus-$(VER)/  $(GITREV) | gzip > ../gr-fcdproplus_$(VER).orig.tar.gz
	rm -rf gr-fcdproplus

## gr-fcdproplus 0.0.1.2.1edbe52

=== debian/changelog ===
gr-fcdproplus (0.0.1.2.1edbe52-2) unstable; urgency=low

  * kFreeBSD build fix for freebsd-libs 10.0-5 which has
  libusb_get_string_descriptor

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 19 Apr 2014 18:33:52 -0400

gr-fcdproplus (0.0.1.2.1edbe52-1) unstable; urgency=low

  * Update to v3.7_hidraw-11-g1edbe52

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 18 Apr 2014 21:18:23 -0400

gr-fcdproplus (0.0.1.1.2c80be-3~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Feb 2014 21:42:44 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: science
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, gnuradio (>=3.7), gnuradio-dev (>= 3.7), libboost-all-dev, libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any], liblog4cpp5-dev, doxygen, swig
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, gnuradio (>=3.7.3),
+ gnuradio-dev (>= 3.7.3),  libusb-1.0-0-dev, liblog4cpp5-dev, doxygen, swig,
+ python, python-dev, libboost-dev, libboost-system-dev, libboost-filesystem-dev,
+ libasound2-dev
+Standards-Version: 3.9.5
 Homepage: https://github.com/dl1ksv/gr-fcdproplus
 Vcs-Git: https://github.com/dl1ksv/gr-fcdproplus

## gr-fcdproplus 3.7.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2011,2012 Free Software Foundation, Inc.
+# Copyright 2011-2014 Free Software Foundation, Inc.
 #
 # This file is part of GNU Radio
 #
@@ -46,7 +46,6 @@
     #http://gcc.gnu.org/wiki/Visibility
     add_definitions(-fvisibility=hidden)
 endif()
-
 ########################################################################
 # Find boost
 ########################################################################
@@ -88,33 +87,39 @@
 ########################################################################
 # Find gnuradio build dependencies
 ########################################################################
-set(GR_REQUIRED_MODULES RUNTIME BLOCKS AUDIO)
+set(GR_REQUIRED_MODULES RUNTIME PMT BLOCKS AUDIO)
 
 find_package(Gnuradio "3.7")
-find_package(ALSA)
-find_package(USB)
 
 if(NOT GNURADIO_RUNTIME_FOUND)
     message(FATAL_ERROR "GnuRadio Core required to compile fcdproplus")
 endif()
-if(NOT LIBUSB_FOUND)
-    message(FATAL_ERROR "libusb required to compile fcdproplus")
+if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+    find_package(ALSA)
+    find_package(USB)
+    if(NOT LIBUSB_FOUND)
+        message(FATAL_ERROR "libusb required to compile fcdproplus")
+    endif()
 endif()
 
 ########################################################################
 # Setup the include and linker paths
 ########################################################################
-include_directories(
-    ${CMAKE_SOURCE_DIR}/include
+set(COMMON_INCLUDE_DIRS
+    ${CMAKE_CURRENT_SOURCE_DIR}/include
     ${Boost_INCLUDE_DIRS}
     ${GNURADIO_RUNTIME_INCLUDE_DIRS}
-#    ${GNURADIO_BLOCKS_INCLUDE_DIRS}
 )
 
-link_directories(
+set(COMMON_LIB_DIRS
     ${Boost_LIBRARY_DIRS}
     ${GNURADIO_BLOCKS_LIBRARY_DIRS}
 )
+
+if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+    list(APPEND COMMON_INCLUDE_DIRS ${LIBUSB_INCLUDE_DIR})
+    list(APPEND COMMON_LIB_DIRS ${LIBUSB_LIB_DIR})
+endif()
 
 # Set component parameters
 #set(GR_FCDPROPLUS_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
@@ -138,7 +143,6 @@
 ########################################################################
 add_subdirectory(include/fcdproplus)
 add_subdirectory(lib)
-add_subdirectory(lib/hid)
 add_subdirectory(swig)
 add_subdirectory(python)
 add_subdirectory(grc)
@@ -167,6 +171,6 @@
 ########################################################################
 # Print Summary
 ########################################################################
-MESSAGE(STATUS "GNURADIO LIBS IN: ${GNURADIO_BLOCKS_LIBRARY_DIRS}")
+MESSAGE(STATUS "Building gr-fcdproplus for ${CMAKE_SYSTEM_NAME} ")
 MESSAGE(STATUS "GNURADIO INCLUDES IN: ${GNURADIO_RUNTIME_INCLUDE_DIRS}")
 MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2011,2012 Free Software Foundation, Inc.
+# Copyright 2011-2014 Free Software Foundation, Inc.
 #
 # This file is part of GNU Radio
 #
@@ -23,25 +23,56 @@
 include(GrPlatform) #define LIB_SUFFIX
 
 include_directories(
-        ${Boost_INCLUDE_DIR}
-        ${LIBUSB_INCLUDE_DIR}
-        ${CMAKE_CURRENT_SOURCE_DIR}/hid
+    ${CMAKE_CURRENT_SOURCE_DIR}/hid
+    ${COMMON_INCLUDE_DIRS} 
 )
 
-link_directories(${Boost_LIBRARY_DIRS} )
+link_directories(${COMMON_LIB_DIRS})
 
 list(APPEND fcdproplus_sources
     fcdproplus_impl.cc
-    hid/hid.c
 )
 
+if(APPLE)
+  list(APPEND fcdproplus_sources ${CMAKE_CURRENT_SOURCE_DIR}/hid/hidmac.c)
+else()
+  list(APPEND fcdproplus_sources ${CMAKE_CURRENT_SOURCE_DIR}/hid/hid.c)
+endif()
+
+if(APPLE)
+  FIND_LIBRARY(IOKIT_LIBRARY IOKit)
+  list(APPEND fcdproplus_libs ${IOKIT_LIBRARY})
+  FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
+  list(APPEND fcdproplus_libs ${COREFOUNDATION_LIBRARY})
+else()
+  list(APPEND fcdproplus_libs ${LIBUSB_LIBRARIES} )
+endif()
+
 add_library(gnuradio-fcdproplus SHARED ${fcdproplus_sources})
-target_link_libraries(gnuradio-fcdproplus ${Boost_LIBRARIES}  ${GNURADIO_RUNTIME_LIBRARIES} ${GNURADIO_BLOCKS_LIBRARIES} ${GNURADIO_AUDIO_LIBRARIES} ${LIBUSB_LIBRARIES})
+
+target_link_libraries(gnuradio-fcdproplus ${fcdproplus_libs} ${Boost_LIBRARIES}
+  ${GNURADIO_RUNTIME_LIBRARIES} ${GNURADIO_BLOCKS_LIBRARIES}
+  ${GNURADIO_AUDIO_LIBRARIES}
+)
+
+if(APPLE)
+  # for some reason on OSX, linking to gnuradio-runtime also requires
+  # linking with gnuradio-pmt; this does not seem necessary on Linux.
+  target_link_libraries(gnuradio-fcdproplus ${GNURADIO_PMT_LIBRARIES})
+  # set install_name self-id correctly
+  SET_TARGET_PROPERTIES(gnuradio-fcdproplus PROPERTIES
+      INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR}"
+  )
+endif()
+
 set_target_properties(gnuradio-fcdproplus PROPERTIES DEFINE_SYMBOL "gnuradio_fcdproplus_EXPORTS")
+
 MESSAGE(STATUS "Audio LIBS: ${GNURADIO_AUDIO_LIBRARIES}")
+
 ########################################################################
 # Install built library files
 ########################################################################
+
 install(TARGETS gnuradio-fcdproplus
     LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
     ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file

=== debian/changelog ===
gr-fcdproplus (3.7.11-3) unstable; urgency=low

  * include Version in pkg-config pc file. (Closes: #759510)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Sep 2014 16:27:13 -0400

gr-fcdproplus (3.7.11-2) unstable; urgency=low

  * build with gnuradio 3.7.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Sep 2014 01:50:28 -0400

gr-fcdproplus (3.7.11-1) unstable; urgency=low

  * Use version 3.7.11 for v3.7_hidraw-11-g1edbe52 (Closes: #757360)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 27 Aug 2014 01:26:32 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: science
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, gnuradio (>=3.7.3),
+Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, gnuradio (>=3.7.5),
  gnuradio-dev (>= 3.7.3),  libusb-1.0-0-dev, liblog4cpp5-dev, doxygen, swig,
  python, python-dev, libboost-dev, libboost-system-dev, libboost-filesystem-dev,
  libasound2-dev
 Standards-Version: 3.9.5
 Homepage: https://github.com/dl1ksv/gr-fcdproplus
-Vcs-Git: https://github.com/dl1ksv/gr-fcdproplus
 
 Package: gr-fcdproplus
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,5 @@
 
 get-orig-source:
 	git clone https://github.com/dl1ksv/gr-fcdproplus
-	cd gr-fcdproplus && git archive --format=tar --prefix=gr-fcdproplus-$(VER)/  $(GITREV) | gzip > ../gr-fcdproplus_$(VER).orig.tar.gz
+	cd gr-fcdproplus && git archive --format=tar --prefix=gr-fcdproplus-$(VER)/  $(GITREV) | xz > ../gr-fcdproplus_$(VER).orig.tar.xz
 	rm -rf gr-fcdproplus

## gr-fcdproplus 3.7.24.cf5db38

=== CMakeLists.txt ===
--- 
+++ 
@@ -87,7 +87,7 @@
 ########################################################################
 # Find gnuradio build dependencies
 ########################################################################
-set(GR_REQUIRED_MODULES RUNTIME PMT BLOCKS AUDIO)
+set(GR_REQUIRED_COMPONENTS RUNTIME PMT BLOCKS AUDIO)
 
 find_package(Gnuradio "3.7")
 
@@ -101,6 +101,8 @@
         message(FATAL_ERROR "libusb required to compile fcdproplus")
     endif()
 endif()
+
+find_package(Doxygen)
 
 ########################################################################
 # Setup the include and linker paths
@@ -171,6 +173,13 @@
 ########################################################################
 # Print Summary
 ########################################################################
+MESSAGE(STATUS "================ Build Summary ===================")
 MESSAGE(STATUS "Building gr-fcdproplus for ${CMAKE_SYSTEM_NAME} ")
 MESSAGE(STATUS "GNURADIO INCLUDES IN: ${GNURADIO_RUNTIME_INCLUDE_DIRS}")
 MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
+if(HIDAPI_LIBRARY)
+	  MESSAGE(STATUS "System Hidapi Lib ${HIDAPI_LIBRARY} is used")
+else()	  
+  MESSAGE(STATUS "Bundled hidapi is used")
+endif()  
+MESSAGE(STATUS "==================================================")

=== grc/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,15 @@
 # the Free Software Foundation, Inc., 51 Franklin Street,
 # Boston, MA 02110-1301, USA.
 
+if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+  set(DEVICE_STRING "FUNcube Dongle V2.0")
+else()
+  set(DEVICE_STRING "")
+endif()
+configure_file (
+	fcdproplus_fcdproplus.xml.in
+	fcdproplus_fcdproplus.xml
+)
 install(FILES
-    fcdproplus_fcdproplus.xml DESTINATION share/gnuradio/grc/blocks
+    ${CMAKE_BINARY_DIR}/grc/fcdproplus_fcdproplus.xml DESTINATION share/gnuradio/grc/blocks
 )

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -22,22 +22,12 @@
 ########################################################################
 include(GrPlatform) #define LIB_SUFFIX
 
-include_directories(
-    ${CMAKE_CURRENT_SOURCE_DIR}/hid
-    ${COMMON_INCLUDE_DIRS} 
-)
-
 link_directories(${COMMON_LIB_DIRS})
 
 list(APPEND fcdproplus_sources
     fcdproplus_impl.cc
 )
 
-if(APPLE)
-  list(APPEND fcdproplus_sources ${CMAKE_CURRENT_SOURCE_DIR}/hid/hidmac.c)
-else()
-  list(APPEND fcdproplus_sources ${CMAKE_CURRENT_SOURCE_DIR}/hid/hid.c)
-endif()
 
 if(APPLE)
   FIND_LIBRARY(IOKIT_LIBRARY IOKit)
@@ -45,17 +35,45 @@
   FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
   list(APPEND fcdproplus_libs ${COREFOUNDATION_LIBRARY})
 else()
-  list(APPEND fcdproplus_libs ${LIBUSB_LIBRARIES} )
+ list(APPEND fcdproplus_libs ${LIBUSB_LIBRARIES} )
 endif()
 
-add_library(gnuradio-fcdproplus SHARED ${fcdproplus_sources})
+FIND_LIBRARY(HIDAPI_LIBRARY hidapi-libusb)
+if(HIDAPI_LIBRARY)
+  MESSAGE(STATUS "System Hidapi Lib ${HIDAPI_LIBRARY} is used")
+  add_library(gnuradio-fcdproplus SHARED ${fcdproplus_sources})
+  #  list(APPEND fcdproplus_libs ${LIBUSB_LIBRARIES} ${HIDAPI_LIBRARY} )
+  list(APPEND fcdproplus_libs  ${HIDAPI_LIBRARY} )
+  set_target_properties(gnuradio-fcdproplus PROPERTIES COMPILE_DEFINITIONS 
+	  "SYSTEM_HIDAPI")
+  include_directories(
+	      ${COMMON_INCLUDE_DIRS} 
+	      )
+else()
+  MESSAGE(STATUS "Bundled hidapi is used")
+  include_directories(
+    ${CMAKE_CURRENT_SOURCE_DIR}/hid
+    ${COMMON_INCLUDE_DIRS} 
+  )
+  if(APPLE)
+    list(APPEND fcdproplus_sources
+    ${CMAKE_CURRENT_SOURCE_DIR}/hid/hidmac.c)
+  else()
+   list(APPEND fcdproplus_sources ${CMAKE_CURRENT_SOURCE_DIR}/hid/hid.c)
+  endif()
+  add_library(gnuradio-fcdproplus SHARED ${fcdproplus_sources})
+endif()
+
+set_target_properties(gnuradio-fcdproplus PROPERTIES SOVERSION 0)
+set_target_properties(gnuradio-fcdproplus PROPERTIES VERSION 0.0.0)
+set_target_properties(gnuradio-fcdproplus PROPERTIES DEFINE_SYMBOL "gnuradio_fcdproplus_EXPORTS")
 
 target_link_libraries(gnuradio-fcdproplus ${fcdproplus_libs} ${Boost_LIBRARIES}
   ${GNURADIO_RUNTIME_LIBRARIES} ${GNURADIO_BLOCKS_LIBRARIES}
   ${GNURADIO_AUDIO_LIBRARIES}
 )
 
-if(APPLE)
+#if(APPLE)
   # for some reason on OSX, linking to gnuradio-runtime also requires
   # linking with gnuradio-pmt; this does not seem necessary on Linux.
   target_link_libraries(gnuradio-fcdproplus ${GNURADIO_PMT_LIBRARIES})
@@ -63,9 +81,8 @@
   SET_TARGET_PROPERTIES(gnuradio-fcdproplus PROPERTIES
       INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR}"
   )
-endif()
+#endif()
 
-set_target_properties(gnuradio-fcdproplus PROPERTIES DEFINE_SYMBOL "gnuradio_fcdproplus_EXPORTS")
 
 MESSAGE(STATUS "Audio LIBS: ${GNURADIO_AUDIO_LIBRARIES}")

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    DESTINATION ${GR_PYTHON_DIR}/fcdproplus
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-fcdproplus)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)

=== include/fcdproplus/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    fcdproplus.h DESTINATION include/fcdproplus
)

=== debian/changelog ===
gr-fcdproplus (3.7.24.cf5db38-5) unstable; urgency=medium

  * build with gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 08 Jan 2016 00:10:43 -0500

gr-fcdproplus (3.7.24.cf5db38-4) unstable; urgency=medium

  * Lintian packaging cleanups

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Nov 2015 21:24:48 -0500

gr-fcdproplus (3.7.24.cf5db38-3) unstable; urgency=low

  * post gcc-5 rebuild with gnuradio 3.7.8-3 (Closes: #791060)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Sep 2015 21:45:22 -0400

gr-fcdproplus (3.7.24.cf5db38-2) unstable; urgency=low

  * update hid code for kFreeBSD case.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Aug 2015 16:11:03 -0400

gr-fcdproplus (3.7.24.cf5db38-1) unstable; urgency=low

  * New upstream with_hidapi-10-gcf5db38
    24 patches after v3.7 tag

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Aug 2015 23:54:00 -0400

=== debian/control ===
Source: gr-fcdproplus
Section: science
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               doxygen,
               gnuradio (>3.7.8),
               gnuradio-dev (> 3.7.8),
               libasound2-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libhidapi-dev,
               liblog4cpp5-dev,
               libusb-1.0-0-dev,
               pkg-config,
               python,
               python-dev,
               swig
Standards-Version: 3.9.6
Homepage: https://github.com/dl1ksv/gr-fcdproplus
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gr-fcdproplus.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-gr-fcdproplus.git/

Package: gr-fcdproplus
Architecture: any
Depends: libgnuradio-fcdproplus0 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnuradio, gr-osmosdr, udev
Description: Funcube Dongle Pro Plus controller for GNU Radio
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle Pro and Pro+ are supported
 by this package. Previous Funcube Dongle device support
 is already included in gnuradio itself.
 .
 This package provides a python library as well as
 a gnuradio companion source object.

Package: libgnuradio-fcdproplus0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-fcdproplus
Description: Funcube Dongle Pro Plus controller for GNU Radio
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle Pro and Pro+ are supported
 by this package. Previous Funcube Dongle device support
 is already included in gnuradio itself.
 .
 This package provides a shared library.
